Bug 494588 - (perl-Hash-Flatten) Review Request: perl-Hash-Flatten - Flatten/unflatten complex data hashes
Review Request: perl-Hash-Flatten - Flatten/unflatten complex data hashes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 11:14 EDT by Iain Arnell
Modified: 2009-04-27 17:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.16-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-14 00:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2009-04-07 11:14:21 EDT
Spec URL: http://iarnell.fedorapeople.org/rpms/perl-Hash-Flatten.spec
SRPM URL: http://iarnell.fedorapeople.org/rpms/perl-Hash-Flatten-1.16-1.fc11.src.rpm
Description: 
Converts back and forth between a nested hash structure and a flat hash of
delimited key-value pairs. Useful for protocols that only support key-value
pairs (such as CGI and DBMs).

scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1283041
Comment 1 Chris Weyl 2009-04-07 13:27:27 EDT
Looks good.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=1283041

Spec looks sane, clean and consistent; license is correct (GPLv2);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
23da4c7adee94eff2c34943d124432e3708a44c9 Hash-Flatten-1.16.tar.gz
23da4c7adee94eff2c34943d124432e3708a44c9 Hash-Flatten-1.16.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-Hash-Flatten-1.16-1.fc10.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Hash-Flatten-1.16-1.fc10.src.rpm
====> requires for perl-Hash-Flatten-1.16-1.fc10.src.rpm
perl(ExtUtils::MakeMaker)  
perl(Log::Trace)  
perl(Test::Assertions)  
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

=====> perl-Hash-Flatten-1.16-1.fc10.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-Hash-Flatten-1.16-1.fc10.noarch.rpm
perl(Hash::Flatten) = 1.16
perl-Hash-Flatten = 1.16-1.fc10
====> requires for perl-Hash-Flatten-1.16-1.fc10.noarch.rpm
perl(:MODULE_COMPAT_5.10.0)  
perl(Carp)  
perl(Exporter)  
perl(constant)  
perl(strict)  
perl(vars)  

APPROVED
Comment 2 Iain Arnell 2009-04-07 13:46:13 EDT
New Package CVS Request
=======================
Package Name: perl-Hash-Flatten
Short Description: Flatten/unflatten complex data hashes
Owners: iarnell
Branches: F-9 F-10
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-07 22:57:39 EDT
cvs done.
Comment 4 Fedora Update System 2009-04-14 00:03:23 EDT
perl-Hash-Flatten-1.16-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Hash-Flatten-1.16-1.fc10
Comment 5 Fedora Update System 2009-04-14 00:03:28 EDT
perl-Hash-Flatten-1.16-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-Hash-Flatten-1.16-1.fc9
Comment 6 Fedora Update System 2009-04-27 17:34:32 EDT
perl-Hash-Flatten-1.16-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-04-27 17:37:31 EDT
perl-Hash-Flatten-1.16-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.